Subject: [Stox] AD evaluation: draft-ietf-stox-im-10

From: Alissa Cooper <[email-masked]>
Date: Sat, 31 Jan 2015 16:09:18 -0800

I have reviewed this draft in preparation for IETF LC, along with the -chat and -groupchat drafts. Overall the document appears in good shape. I have a comment I’d like to discuss before proceeding to IETF LC, along with an editorial nit to be addressed with any LC comments. 

You will note some commonality across my comments on all three drafts. In general, these drafts could do a better job of precisely specifying what is minimally required (normatively) for interoperability, versus what is optional or likely to differ between implementations. I think if at least the syntax mappings are normatively specified that should be sufficient, but the authors and WG might want to consider doing another pass at these documents to see if they could be more clear about which protocol exchanges the various gateways must support for STOX to work at all, versus which ones are suggested or optional.

Comment:

To achieve minimal interoperability, I think the syntax mappings in Section 4 need to be MUST-level requirements rather than SHOULD. Or, if there are cases envisioned in which different implementations might map the elements differently, those should be explained. But I assume there are not.

Nit:

If GRUUs are generally not human-readable in use, I would suggest changing the ones in Section 4 to random identifiers.